Foxit PDF RDK

Public Member Functions | List of all members
MenuListArray Class Reference
Inheritance diagram for MenuListArray:

## Public Member Functions
| Add (element)
| Add an element to the end of current array. More...
| constructor ()
| Constructor.
| GetAt (index)
| Retrieve a copy of the element at position specified by index in current array. More...
| GetSize ()
| Get the size of elements in current array. More...
| InsertAt (index, element)
| Insert an element before the position specified by index. More...
| RemoveAll ()
| Remove all the element from current array. More...
| RemoveAt (index)
| Remove the element in position specified by index. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class represents an array of menu list objects.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ Add()

MenuListArray.Add | ( | element |  | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetAt()

MenuListArray.GetAt | ( | index |  | ) |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetSize()

MenuListArray.GetSize | ( |  | ) |

Get the size of elements in current array.

Returns
  The size.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ InsertAt()

MenuListArray.InsertAt | ( | index | ,
|  | element |
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ RemoveAll()

MenuListArray.RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ RemoveAt()

MenuListArray.RemoveAt | ( | index |  | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.